安装使用 SDK

注意

本功能暂时处于实验测试阶段,仅 3.1.3 及以上版本可用

Lua

注意

仅支持 Lua 5.4 及以上版本

乐白Lua场景编辑器中已集成Lua SDK,可在Lua场景中直接使用;

如需在外部控制器中使用Lua SDK,可在Github在新窗口打开中下载,并解压到package.cpath列出的任意文件夹下。

使用示例见参考例程

Python

注意

仅支持 Python 3.7 及以上版本

  • 如果使用同步调用方式,请安装lebai-sdk:

    pip install lebai-sdk
    
  • 如果使用异步调用方式,即AsyncIO及async/await,请安装lebai-sdk-asyncio:

    pip install lebai-sdk-asyncio
    

使用示例见参考例程

JavaScript

基于 wasm 技术为 JavaScript 提供支持

  • 如使用bundler开发,可直接npm安装:

    npm install lebai-sdk
    
  • 如使用NodeJs、Web开发,可在Github在新窗口打开中下载使用。

使用示例见参考例程

Rust

cargo add lebai_sdk --features mdns

C++

使用GitHub在新窗口打开中的项目源码

使用示例见GitHub在新窗口打开

C#

dotnet add package lebai

使用示例见GitHub在新窗口打开

Java

Github在新窗口打开中下载使用

使用示例见GitHub在新窗口打开

上次更新: